Subject: Bug in gdb or tk4.2?
From: [email-masked] (Peter Craft)

21 Oct 1997 17:50:59 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Pardon me if this has already been discussed.  I seem
to be having a problem with the b18 version of gdb.
When an event occurs that causes a tk pop-up window
to be created, gdb will exit as soon as the window
is completed.

For example, if I am running gdb with a couple of breakpoints
set, and then enter delete I get a "gdb: query" pop-up window
asking me if I want to delete all breakpoints.  Regardless
of whether I select yes or no, gdb terminates immediately.
The same thing happens if I select run and gdb queries me
if I wish to restart from the beginning.

I'm guessing that this is a bug and that since it seems to
occur in a rather typical situation, that there is probably a
patch for it.  True?

Thanks
Pete
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".